<?php

/** @var \App\Models\Pro $sectionPro */
/** @var \App\Models\Pro $pro */
/** @var \App\Models\Note $note */

if(!@$sectionPro) {
    if(@$note) {
        $sectionPro = $note->hcpPro;
    }
    else {
        $sectionPro = $pro; // should never get here
    }
}

if(!@$contentData) {
    $contentData = false;
    if ($patient->canvas_data) {
        $canvasData = json_decode($patient->canvas_data, true);
        if (isset($canvasData["lifestyle_rx_review"])) {
            $contentData = $canvasData["lifestyle_rx_review"];
        }
    }
}

if($contentData === false || !isset($contentData[$sectionPro->uid])) {
    ?>
    <div class="text-secondary">No data in this section yet</div>
    <?php
}
else {
    print_r($contentData);
    // $lines = $contentData[$sectionPro->uid]['current_cch']['list'];
    /*
    ?>
    <p class="font-weight-bold mb-2">CC</p>
    <table class="table table-sm table-bordered mb-2 table-edit-sheet">
        <thead>
        <tr class="bg-light">
            <th class="px-2 py-1 text-secondary border-bottom-0 width-30px text-center">#</th>
            <th class="px-2 py-1 text-secondary border-bottom-0 w-25">Category</th>
            <th class="px-2 py-1 text-secondary border-bottom-0">Title</th>
            <th class="px-2 py-1 text-secondary border-bottom-0">ICD</th>
            <th class="px-2 py-1 text-secondary border-bottom-0 w-35">Memo</th>
        </tr>
        </thead>
        <tbody class="bg-white">
        <?php foreach($lines as $i => $line): ?>
        <tr class="bg-white">
            <td class="bg-white px-2 py-1 text-center text-sm font-weight-bold"><?= ++$i ?></td>
            <td class="bg-white px-2 py-1"><?= ucwords($line['category']) ?></td>
            <td class="bg-white px-2 py-1"><?= $line['name'] ?></td>
            <td class="bg-white px-2 py-1"><?= $line['icd'] ?></td>
            <td class="bg-white px-2 py-1"><?= $line['memo'] ?></td>
        </tr>
        <?php endforeach; ?>
        </tbody>
    </table>
    <p class="font-weight-bold mb-2">HPI</p>
    <table class="table table-sm table-bordered mb-2 table-edit-sheet">
        <thead>
        <tr class="bg-light">
            <th class="px-2 py-1 text-secondary border-bottom-0 width-30px text-center">#</th>
            <th class="px-2 py-1 text-secondary border-bottom-0 w-25">Issue</th>
            <th class="px-2 py-1 text-secondary border-bottom-0">HPI</th>
        </tr>
        </thead>
        <tbody class="bg-white">
        <?php foreach($lines as $i => $line): ?>
            <tr>
                <td class="px-2 bg-white py-1 text-center text-sm font-weight-bold"><?= ++$i ?></td>
                <td class="px-2 bg-white py-1"><?= ucwords($line['category']) ?><?= $line['name'] ? ' <span class="text-secondary on-hover-opaque">/</span> ' . $line['name'] : '' ?><?= $line['icd'] ? ' <span class="text-secondary on-hover-opaque">/</span> ' . $line['icd'] : ''?></td>
                <td class="px-2 bg-white py-1"><?= $line['hpi']['free_text'] ?></td>
            </tr>
        <?php endforeach; ?>
        </tbody>
    </table>
    <?php
    */
}
?>
